Loading...
Searching...
No Matches
copyableoptional.hh File Reference
`#include <cassert>`
`#include <iostream>`
`#include <memory>`
`#include <optional>`
`#include <type_traits>`
`#include <dune/common/typeutilities.hh>`

Go to the source code of this file.

## Classes

class | Dune::CopyableOptional< Type >
| A copyable type wrapper that provides copy/move assignment operations for types that are only copy/move constructible. More...

## Namespaces

namespace | Dune
| Dune namespace